// app/router.options.ts
import type { RouterConfig } from "@nuxt/schema"

export default <RouterConfig> {
  routes: async (routes) => {
    // 静态别名
    const staticAliases = [
      //前往二级分类
      {
        path: '/tieshenbaobei138/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 138, 
          routeName: '贴身宝贝',
          path: '/tieshenbaobei138/'
        }
      },
      {
        path: '/xinnongcun11/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 11, 
          routeName: '新农村',
          path: '/xinnongcun11/'
        }
      },
      {
        path: '/nongmingong317/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 317, 
          routeName: '农民工',
          path: '/nongmingong317/'
        }
      },
      {
        path: '/zhengcefagui1/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 1, 
          routeName: '政策法规',
          path: '/zhengcefagui1/'
        }
      },
      {
        path: '/sannongzhichuang2/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 2, 
          routeName: '三农之窗',
          path: '/sannongzhichuang2/'
        }
      },
      {
        path: '/quyujingji5/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 5, 
          routeName: '区域经济',
          path: '/quyujingji5/'
        }
      },
      {
        path: '/sannongtouzi12/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 12, 
          routeName: '三农投资',
          path: '/sannongtouzi12/'
        }
      },
      {
        path: '/nongmaozixun13/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 13, 
          routeName: '农贸资讯',
          path: '/nongmaozixun13/'
        }
      },
      {
        path: '/sannongkejiao14/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 14, 
          routeName: '三农科教',
          path: '/sannongkejiao14/'
        }
      },
      {
        path: '/wenhuashenghuo15/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 15, 
          routeName: '文化生活',
          path: '/wenhuashenghuo15/'
        }
      },
      {
        path: '/sannongtansuo16/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 16, 
          routeName: '三农探索',
          path: '/sannongtansuo16/'
        }
      },
      {
        path: '/sannongrenwu18/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 18, 
          routeName: '三农人物',
          path: '/sannongrenwu18/'
        }
      },
      {
        path: '/xiezuodaquan150/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 150, 
          routeName: '写作大全',
          path: '/xiezuodaquan150/'
        }
      },
      {
        path: '/zhaogongzhaopin20/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 20, 
          routeName: '招工招聘',
          path: '/zhaogongzhaopin20/'
        }
      },
      {
        path: '/nongzigouxiao21/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 21, 
          routeName: '农资购销',
          path: '/nongzigouxiao21/'
        }
      },
      {
        path: '/nongchangouxiao153/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 153, 
          routeName: '农产购销',
          path: '/nongchangouxiao153/'
        }
      },
      {
        path: '/zhifuxinxi23/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 23, 
          routeName: '致富信息',
          path: '/zhifuxinxi23/'
        }
      },
      {
        path: '/shukanxinxi24/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 24, 
          routeName: '书刊信息',
          path: '/shukanxinxi24/'
        }
      },
      {
        path: '/nongwangdaohang25/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 25, 
          routeName: '农网导航',
          path: '/nongwangdaohang25/'
        }
      },
      {
        path: '/dajiaweiquan26/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 26, 
          routeName: '打假维权',
          path: '/dajiaweiquan26/'
        }
      },
      {
        path: '/sannongfuwu27/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 27, 
          routeName: '三农服务',
          path: '/sannongfuwu27/'
        }
      },
      {
        path: '/sannongdiaocha28/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 28, 
          routeName: '三农调查',
          path: '/sannongdiaocha28/'
        }
      },
      {
        path: '/sannongluntan29/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 29, 
          routeName: '三农论坛',
          path: '/sannongluntan29/'
        }
      },
      {
        path: '/sannongneican30/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 30, 
          routeName: '三农内参',
          path: '/sannongneican30/'
        }
      },
      {
        path: '/nongyekepu300/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 300, 
          routeName: '农业科普',
          path: '/nongyekepu300/'
        }
      },


      //前往列表页
      //1.新农村
      {
        path: '/lilunqianyan31/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 31, 
          routeName: '理论前沿',
          path: '/lilunqianyan31/'
        }
      },
      {
        path: '/dianxingjingyan32/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 32, 
          routeName: '典型经验',
          path: '/dianxingjingyan32/'
        }
      },
      {
        path: '/meilixiangcun33/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 33, 
          routeName: '魅力乡村',
          path: '/meilixiangcun33/'
        }
      },
      {
        path: '/nongminzhijia34/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 34, 
          routeName: '农民之家',
          path: '/nongminzhijia34/'
        }
      },
      {
        path: '/nongyetiandi35/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 35, 
          routeName: '农业天地',
          path: '/nongyetiandi35/'
        }
      },
      {
        path: '/nongcunjianshe36/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 36, 
          routeName: '农村建设',
          path: '/nongcunjianshe36/'
        }
      },
      {
        path: '/gaoduanzixun280/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 280, 
          routeName: '高端资讯',
          path: '/gaoduanzixun280/'
        }
      },
      {
        path: '/shijiantansuo38/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 38, 
          routeName: '实践探索',
          path: '/shijiantansuo38/'
        }
      },
      //2.政策法规
      {
        path: '/guojiafalv60/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 60, 
          routeName: '国家法律',
          path: '/guojiafalv60/'
        }
      },
      {
        path: '/bubanfalv200/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 200, 
          routeName: '部颁法律',
          path: '/bubanfalv200/'
        }
      },
      {
        path: '/faguijiexi201/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 201, 
          routeName: '法规解析',
          path: '/faguijiexi201/'
        }
      },
      {
        path: '/zhengcefabu202/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 202, 
          routeName: '政策发布',
          path: '/zhengcefabu202/'
        }
      },
      {
        path: '/lifayantao203/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 203, 
          routeName: '立法研讨',
          path: '/lifayantao203/'
        }
      },
      {
        path: '/jingdiananli204/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 204, 
          routeName: '经典案例',
          path: '/jingdiananli204/'
        }
      },
      {
        path: '/tingzhenghuixun205/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 205, 
          routeName: '听证会讯',
          path: '/tingzhenghuixun205/'
        }
      },
      {
        path: '/fazhizaixian206/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 206, 
          routeName: '法制在线',
          path: '/fazhizaixian206/'
        }
      },
      //3.三农之窗
      {
        path: '/sannongguoji207/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 207, 
          routeName: '三农国际',
          path: '/sannongguoji207/'
        }
      },
      {
        path: '/nongcunjianshe208/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 208, 
          routeName: '农村建设',
          path: '/nongcunjianshe208/'
        }
      },
      {
        path: '/nongcunguanli209/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 209, 
          routeName: '农村管理',
          path: '/nongcunguanli209/'
        }
      },
      {
        path: '/nongyegongmao210/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 210, 
          routeName: '农业工贸',
          path: '/nongyegongmao210/'
        }
      },
      {
        path: '/sannongyaowen211/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 211, 
          routeName: '三农要闻',
          path: '/sannongyaowen211/'
        }
      },
      {
        path: '/nongyekepu240/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 240, 
          routeName: '农业科普',
          path: '/nongyekepu240/'
        }
      },
      {
        path: '/nongminshengchan213/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 213, 
          routeName: '农民生产',
          path: '/nongminshengchan213/'
        }
      },
      {
        path: '/nongminshenghuo214/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 214, 
          routeName: '农民生活',
          path: '/nongminshenghuo214/'
        }
      },
      //4.区域经济
      {
        path: '/mingchengmingzhen215/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 215, 
          routeName: '名城名镇',
          path: '/mingchengmingzhen215/'
        }
      },
      {
        path: '/kaifaquyu216/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 216, 
          routeName: '开发区域',
          path: '/kaifaquyu216/'
        }
      },
      {
        path: '/chanyejiqun217/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 217, 
          routeName: '产业集群',
          path: '/chanyejiqun217/'
        }
      },
      {
        path: '/hezuozuzhi218/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 217, 
          routeName: '合作组织',
          path: '/hezuozuzhi218/'
        }
      },
      {
        path: '/tesexiangzhen219/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 219, 
          routeName: '特色乡镇',
          path: '/tesexiangzhen219/'
        }
      },
      {
        path: '/yicunyipin220/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 220, 
          routeName: '一村一品',
          path: '/yicunyipin220/'
        }
      },
      {
        path: '/longtouqiye221/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 221, 
          routeName: '龙头企业',
          path: '/longtouqiye221/'
        }
      },
      {
        path: '/zhaoshangyinzi222/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 222, 
          routeName: '招商引资',
          path: '/zhaoshangyinzi222/'
        }
      },
      //5.三农投资
      {
        path: '/guojiabokuan223/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 223, 
          routeName: '国家拨款',
          path: '/guojiabokuan223/'
        }
      },
      {
        path: '/shetuanjijin224/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 224, 
          routeName: '社团基金',
          path: '/shetuanjijin224/'
        }
      },
      {
        path: '/qiyetouzi225/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 225, 
          routeName: '企业投资',
          path: '/qiyetouzi225/'
        }
      },
      {
        path: '/difangyinzi226/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 226, 
          routeName: '地方引资',
          path: '/difangyinzi226/'
        }
      },
      {
        path: '/gongyihuodong227/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 226, 
          routeName: '公益活动',
          path: '/gongyihuodong227/'
        }
      },
      {
        path: '/fengxiantouzi228/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 228, 
          routeName: '风险投资',
          path: '/fengxiantouzi228/'
        }
      },
      {
        path: '/waishangduzi229/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 229, 
          routeName: '外商独资',
          path: '/waishangduzi229/'
        }
      },
      {
        path: '/yinzifuwu230/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 230, 
          routeName: '引资服务',
          path: '/yinzifuwu230/'
        }
      },
      //6.农贸服务
      {
        path: '/guojinongmao198/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 198, 
          routeName: '国际农贸',
          path: '/guojinongmao198/'
        }
      },
      {
        path: '/huiyihuizhan199/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 199, 
          routeName: '会议会展',
          path: '/huiyihuizhan199/'
        }
      },
      {
        path: '/difangjieqing231/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 231, 
          routeName: '地方节庆',
          path: '/difangjieqing231/'
        }
      },
      {
        path: '/techanzixun232/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 232, 
          routeName: '特产资讯',
          path: '/techanzixun232/'
        }
      },
      {
        path: '/shichangdongtai233/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 233, 
          routeName: '市场动态',
          path: '/shichangdongtai233/'
        }
      },
      {
        path: '/jishimaoyi234/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 234, 
          routeName: '集市贸易',
          path: '/jishimaoyi234/'
        }
      },
      {
        path: '/hezuojingji235/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 235, 
          routeName: '合作经济',
          path: '/hezuojingji235/'
        }
      },
      {
        path: '/lilunqianyan237/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 237, 
          routeName: '理论前沿',
          path: '/lilunqianyan237/'
        }
      },
      //7.三农科教
      {
        path: '/nongcunjiaoyu238/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 238, 
          routeName: '农村教育',
          path: '/nongcunjiaoyu238/'
        }
      },
      {
        path: '/nongminpeixun239/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 239, 
          routeName: '农民培训',
          path: '/nongminpeixun239/'
        }
      },
      {
        path: '/nongyekepu240/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 240, 
          routeName: '农业科普',
          path: '/nongyekepu240/'
        }
      },
      {
        path: '/kejifuwu241/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 241, 
          routeName: '科技服务',
          path: '/kejifuwu241/'
        }
      },
      {
        path: '/zhongzhijishu242/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 242, 
          routeName: '种植技术',
          path: '/zhongzhijishu242/'
        }
      },
      {
        path: '/angzhijishu243/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 243, 
          routeName: '养殖技术',
          path: '/angzhijishu243/'
        }
      },
      {
        path: '/zhifujingyan244/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 244, 
          routeName: '致富经验',
          path: '/zhifujingyan244/'
        }
      },
      {
        path: '/kejiaoxinxi245/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 245, 
          routeName: '科教信息',
          path: '/kejiaoxinxi245/'
        }
      },
      //8.文化生活
      {
        path: '/wenhuashidian195/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 195, 
          routeName: '文化视点',
          path: '/wenhuashidian195/'
        }
      },
      {
        path: '/lisuwenhua196/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 196, 
          routeName: '礼俗文化',
          path: '/lisuwenhua196/'
        }
      },
      {
        path: '/chajiuwenhua246/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 246, 
          routeName: '茶酒文化',
          path: '/chajiuwenhua246/'
        }
      },
      {
        path: '/xiuxianwenhua247/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 247, 
          routeName: '休闲文化',
          path: '/xiuxianwenhua247/'
        }
      },
      {
        path: '/fushiwenhua248/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 248, 
          routeName: '服饰文化',
          path: '/fushiwenhua248/'
        }
      },
      {
        path: '/yinshiwenhua249/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 249, 
          routeName: '饮食文化',
          path: '/yinshiwenhua249/'
        }
      },
      {
        path: '/renjuwenhua250/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 250, 
          routeName: '人居文化',
          path: '/renjuwenhua250/'
        }
      },
      {
        path: '/lvxingwenhua251/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 251, 
          routeName: '旅行文化',
          path: '/lvxingwenhua251/'
        }
      },
      //9.三农探索
      {
        path: '/jiaodianfangtan276/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 276, 
          routeName: '焦点访谈',
          path: '/jiaodianfangtan276/'
        }
      },
      {
        path: '/nongcunjianshe277/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 277, 
          routeName: '农村建设',
          path: '/nongcunjianshe277/'
        }
      },
      {
        path: '/tansuonongyetiandi395/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 395, 
          routeName: '农业天地',
          path: '/tansuonongyetiandi395/'
        }
      },
      {
        path: '/nongminhuati279/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 279, 
          routeName: '农民话题',
          path: '/nongminhuati279/'
        }
      },
      {
        path: '/gaoduanzixun280/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 280, 
          routeName: '高端资讯',
          path: '/gaoduanzixun280/'
        }
      },
      {
        path: '/dianxingjingyan281/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 281, 
          routeName: '典型经验',
          path: '/dianxingjingyan281/'
        }
      },
      {
        path: '/chenggongzhilu282/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 282, 
          routeName: '成功之路',
          path: '/chenggongzhilu282/'
        }
      },
      {
        path: '/shijiantansuo283/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 283, 
          routeName: '实践探索',
          path: '/shijiantansuo283/'
        }
      },
      //10.三农人物
      {
        path: '/sannongzhengyao284/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 284, 
          routeName: '三农政要',
          path: '/sannongzhengyao284/'
        }
      },
      {
        path: '/kejizhixing285/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 285, 
          routeName: '科技之星',
          path: '/kejizhixing285/'
        }
      },
      {
        path: '/zhongyangnengshou286/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 286, 
          routeName: '种养能手',
          path: '/zhongyangnengshou286/'
        }
      },
      {
        path: '/zhifunengren287/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 287, 
          routeName: '致富能人',
          path: '/zhifunengren287/'
        }
      },
      {
        path: '/xueshuquanwei288/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 288, 
          routeName: '学术权威',
          path: '/xueshuquanwei288/'
        }
      },
      {
        path: '/youxiucunguan180/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 180, 
          routeName: '优秀村官',
          path: '/youxiucunguan180/'
        }
      },
      {
        path: '/nongqijingying290/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 290, 
          routeName: '农企精英',
          path: '/nongqijingying290/'
        }
      },
      {
        path: '/sannongganbu291/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 291, 
          routeName: '三农干部',
          path: '/sannongganbu291/'
        }
      },
      //11.农资购销
      {
        path: '/nongzizaixian189/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 189, 
          routeName: '农资在线',
          path: '/nongzizaixian189/'
        }
      },
      {
        path: '/hangyedongtai188/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 188, 
          routeName: '行业动态',
          path: '/hangyedongtai188/'
        }
      },
      {
        path: '/nongzihangqing387/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 387, 
          routeName: '农资行情',
          path: '/nongzihangqing387/'
        }
      },
      {
        path: '/yingxiaofuwu388/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 388, 
          routeName: '营销服务',
          path: '/yingxiaofuwu388/'
        }
      },
      {
        path: '/zhuanyinggongsi389/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 389, 
          routeName: '专营公司',
          path: '/zhuanyinggongsi389/'
        }
      },
      {
        path: '/mingpaimingqi390/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 390, 
          routeName: '名牌名企',
          path: '/mingpaimingqi390/'
        }
      },
      {
        path: '/shengchanqiye391/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 391, 
          routeName: '生产企业',
          path: '/shengchanqiye391/'
        }
      },
      {
        path: '/nongzigongying392/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 392, 
          routeName: '农资供应',
          path: '/nongzigongying392/'
        }
      },
      //12.农产购销
      {
        path: '/nongchanzaixian258/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 258, 
          routeName: '农产在线',
          path: '/nongchanzaixian258/'
        }
      },
      {
        path: '/chanyedongtai259/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 259, 
          routeName: '产业动态',
          path: '/chanyedongtai259/'
        }
      },
      {
        path: '/nongchanhangqing260/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 260, 
          routeName: '农产行情',
          path: '/nongchanhangqing260/'
        }
      },
      {
        path: '/xiaoshoufuwu263/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 263, 
          routeName: '销售服务',
          path: '/xiaoshoufuwu263/'
        }
      },
      {
        path: '/mingyoutechan262/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 262, 
          routeName: '名优特产',
          path: '/mingyoutechan262/'
        }
      },
      {
        path: '/pifaqiye261/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 261, 
          routeName: '批发企业',
          path: '/pifaqiye261/'
        }
      },
      {
        path: '/pifaqiye261/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 261, 
          routeName: '批发企业',
          path: '/pifaqiye261/'
        }
      },
      {
        path: '/nongmaoshichang264/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 264, 
          routeName: '农贸市场',
          path: '/nongmaoshichang264/'
        }
      },
      {
        path: '/gongqiuguanxi265/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 265, 
          routeName: '供求信息',
          path: '/gongqiuguanxi265/'
        }
      },
      //13.书刊信息
      {
        path: '/dianjishijian275/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 275, 
          routeName: '典集史鉴',
          path: '/dianjishijian275/'
        }
      },
      {
        path: '/dangzhengbaokan268/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 268, 
          routeName: '党政报刊',
          path: '/dangzhengbaokan268/'
        }
      },
      {
        path: '/shenongbaokan269/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 269, 
          routeName: '涉农报刊',
          path: '/shenongbaokan269/'
        }
      },
      {
        path: '/shizhengshuxun270/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 270, 
          routeName: '时政书讯',
          path: '/shizhengshuxun270/'
        }
      },
      {
        path: '/dushudubao271/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 271, 
          routeName: '读书读报',
          path: '/dushudubao271/'
        }
      },
      {
        path: '/wenhuayishu272/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 272, 
          routeName: '文化艺术',
          path: '/wenhuayishu272/'
        }
      },
      {
        path: '/shenghuobaike273/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 273, 
          routeName: '生活百科',
          path: '/shenghuobaike273/'
        }
      },
      {
        path: '/yangshengbaojian274/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 274, 
          routeName: '养生保健',
          path: '/yangshengbaojian274/'
        }
      },
      //14.打假维权
      {
        path: '/dajiazixun191/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 191, 
          routeName: '打假资讯',
          path: '/dajiazixun191/'
        }
      },
      {
        path: '/redianzhuizong192/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 192, 
          routeName: '热点追踪',
          path: '/redianzhuizong192/'
        }
      },
      {
        path: '/zhuantibaodao296/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 296, 
          routeName: '专题报道',
          path: '/zhuantibaodao296/'
        }
      },
      {
        path: '/jubaotousu297/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 297, 
          routeName: '举报投诉',
          path: '/jubaotousu297/'
        }
      },
      {
        path: '/anlitonggao298/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 298, 
          routeName: '案例通告',
          path: '/anlitonggao298/'
        }
      },
      {
        path: '/qishigonggong299/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 299, 
          routeName: '启示公告',
          path: '/qishigonggong299/'
        }
      },
      {
        path: '/shehuihusheng396/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 396, 
          routeName: '社会呼声',
          path: '/shehuihusheng396/'
        }
      },
      {
        path: '/jiamaoweilie397/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 397, 
          routeName: '假冒伪劣',
          path: '/jiamaoweilie397/'
        }
      },
      //15.三农服务
      {
        path: '/zhaoshangyinzi193/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 193, 
          routeName: '招商引资',
          path: '/zhaoshangyinzi193/'
        }
      },
      {
        path: '/xiangmutuijian194/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 194, 
          routeName: '项目推介',
          path: '/xiangmutuijian194/'
        }
      },
      {
        path: '/pinpaixingxiang303/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 303, 
          routeName: '品牌形象',
          path: '/pinpaixingxiang303/'
        }
      },
      {
        path: '/zhuanyezhidao304/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 304, 
          routeName: '专业指导',
          path: '/zhuanyezhidao304/'
        }
      },
      {
        path: '/cehuafuwu305/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 305, 
          routeName: '策划服务',
          path: '/cehuafuwu305/'
        }
      },
      {
        path: '/renzhengfuwu306/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 306, 
          routeName: '认证服务',
          path: '/renzhengfuwu306/'
        }
      },
      {
        path: '/peixunfuwu307/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 307, 
          routeName: '培训服务',
          path: '/peixunfuwu307/'
        }
      },
      {
        path: '/xinxifuwu308/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 308, 
          routeName: '信息服务',
          path: '/xinxifuwu308/'
        }
      },
      //16.三农调查
      {
        path: '/shijianbaodao309/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 309, 
          routeName: '事件报道',
          path: '/shijianbaodao309/'
        }
      },
      {
        path: '/minyidiaocha311/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 311, 
          routeName: '民意调查',
          path: '/minyidiaocha311/'
        }
      },
      {
        path: '/shichangdiaoyan312/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 312, 
          routeName: '市场调研',
          path: '/shichangdiaoyan312/'
        }
      },
      {
        path: '/guanyunongmin313/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 313, 
          routeName: '关于农民',
          path: '/guanyunongmin313/'
        }
      },
      {
        path: '/guanyunongcun314/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 314, 
          routeName: '关于农村',
          path: '/guanyunongcun314/'
        }
      },
      {
        path: '/sannongzhuanti315/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 315, 
          routeName: '三农专题',
          path: '/sannongzhuanti315/'
        }
      },
      {
        path: '/minqingminyi316/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 315, 
          routeName: '民情民意',
          path: '/minqingminyi316/'
        }
      },
      {
        path: '/jiaodianfangtan310/:id',
        component: () => import('~/pages/newsList/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 310, 
          routeName: '焦点访谈',
          path: '/jiaodianfangtan310/'
        }
      }
    ]


    return [
      ...routes,
      ...staticAliases,
    ]
  }
}